package rwth.i2.ltlrv;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author Eric Bodden
 *
 * LTL
 */

@Retention(RetentionPolicy.CLASS)
@Target(
        {ElementType.CONSTRUCTOR,
         ElementType.METHOD,
         ElementType.TYPE,
         ElementType.FIELD}
        )
public @interface LTL {

    /**
     * @return the formula as String
     */
    String value();
    
}
