package rwth.i2.ltlrv.afastate.interfaze;

/**
 * INullaryAFAState - Common interface for nullary AFA states.
 * There are three kinds of such states: {@link rwth.i2.ltlrv.afastate.interfaze.ITT},
 * {@link rwth.i2.ltlrv.afastate.interfaze.IFF} and {@link rwth.i2.ltlrv.afastate.interfaze.IProposition}.
 * 
 * @author Eric Bodden
 */
public interface INullaryAFAState extends IAFAState {
    
    /**
     * @return The usually unique instance of this kind.
     */
    public INullaryAFAState getInstance();

}
