package rwth.i2.ltlrv.formula.interfaze;

/**
 * IBinaryTerm - Common interface for a binary term.
 * 
 * @author Eric Bodden
 */
public interface IBinaryTerm extends IFormula {

    /**
     * @return the left subformula or proposition
     */
    public IFormula getSubformula1();

    /**
     * @return the right subformula or proposition
     */
    public IFormula getSubformula2();

}
