package rwth.i2.ltlrv.management;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * EvalEvaluationTests
 * 
 * @author Eric Bodden
 */
@SuppressWarnings("all")
public class EvalEvaluationTests {

    public static Test suite() {
        TestSuite suite = new TestSuite("Test for evaluation");
        //$JUnit-BEGIN$
        suite.addTestSuite(EvalBooleanCombinationTest.class);
        suite.addTestSuite(EvalGlobalImplicationSamePropositionTest.class);
        suite.addTestSuite(EvalIfTestEquality.class);
        suite.addTestSuite(EvalIfTestUnequality.class);
        suite.addTestSuite(EvalIfTestEqualityConcurrent.class);
        suite.addTestSuite(EvalIfTestUnequalityConcurrent.class);
        suite.addTestSuite(EvalGlobalImplicationTest.class);
        suite.addTestSuite(EvalImplicationTest.class);
        suite.addTestSuite(EvalNextTest.class);
        suite.addTestSuite(EvalPropositionTest.class);
        suite.addTestSuite(EvalPropositionWeakMapTest.class);
        suite.addTestSuite(EvalReleaseTest.class);
        suite.addTestSuite(EvalUntilTest.class);
        suite.addTestSuite(EvalLOR2ndHalfTest.class);
        suite.addTestSuite(EvalIfTestEqualityRelease.class);
        suite.addTestSuite(EvalIfTestEqualityReleaseNext.class);
        suite.addTestSuite(EvalIfTestEqualityReleaseNext2.class);
        //$JUnit-END$
        return suite;
    }

}
