package rwth.i2.ltlrv.formula.base;

import rwth.i2.ltlrv.formula.interfaze.IFormula;
import rwth.i2.ltlrv.management.IFormulaFactory;
import rwth.i2.ltlrv.management.FormulaFactory;

/**
 * AbstractFormula - abstract superclass of all formulae.
 * 
 * @author Eric Bodden
 */
public abstract class AbstractFormula implements IFormula {

    /**
     * Reference to the formula factory. For convenience.  
     */
    protected static final IFormulaFactory factory = new FormulaFactory();
    //TODO make generic

}
