package rwth.i2.ltlrv.management;

import java.util.ArrayList;
import java.util.List;

//import polyglot.ast.ClassMember;
//import polyglot.ast.Expr;
//import polyglot.ast.IntLit;
//import polyglot.ast.NodeFactory;
//import polyglot.types.Flags;
//import polyglot.util.Position;

/**
 * This class represents a posiiton within a class in bytecode format.
 * 
 * @author Eric
 */
public class ByteCodePosition {
    
    private String className;
    private String sourceFile;
    private int line;

    @Deprecated
    public ByteCodePosition(String className, String sourceFile, int line) {
        assert className!=null && sourceFile!=null;
        this.className = className;
        this.sourceFile = sourceFile;
        this.line = line;
    }

    public String getClassName() {
        return className;
    }
    
    public String getSourceFile() {
        return sourceFile;
    }
    
    public int getLine() {
        return line;
    }
//
//    /**
//     * @return the statement that must be used at runtime
//     *   to create this very entity
//     */
//    public ClassMember getInstantiationStatement(NodeFactory nf) {
//        String label = sourceFile.length()>0 ? sourceFile : className;
//        Position pos = new Position(label,line);
//        
//        //arguments to initialization
//        List<Expr> args = new ArrayList<Expr>();
//        args.add( nf.StringLit(pos,className) );
//        args.add( nf.StringLit(pos,sourceFile) );
//        args.add( nf.IntLit(pos,IntLit.INT,line));
//        
//        //initilization expressions: create new position
//        Expr initExpr = nf.New(
//                pos,
//                nf.AmbTypeNode(pos,this.getClass().getCanonicalName()),
//                args
//                );
//        
//        //return position declaration
//        return nf.FieldDecl(
//                pos,
//                Flags.PRIVATE,
//                nf.AmbTypeNode(pos,this.getClass().getCanonicalName()),
//                "position",
//                initExpr
//                );
//    }
//    
    //TODO remove this all or make it right
    /**
     * @return a parsable represantation of this position
     */
    public String getRepresentationForGrammar() {
        return "(\""
            + this.className
            + "\",\""
            + this.sourceFile
            + "\",\""
            + this.line
            + "\") ";
    }    

}
